Bug 1122694 - 2 Dual Display: HDPI and non HDPI
Summary: 2 Dual Display: HDPI and non HDPI
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 19:28 UTC by Christian Schmitt
Modified: 2015-06-29 21:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:43:31 UTC


Attachments (Terms of Use)

Description Christian Schmitt 2014-07-23 19:28:41 UTC
Description of problem:
I have a MacBook11,3 and have Fedora 20 with gnome-classic (non classic has the same problem).
Currently if I attach a second Monitor to my MacBook all Applications that use HDPI are oversized on the second monitor, so the second monitor could only be used to view non HDPI applications.
Currently if i drop a window from monitor with hdpi to a monitor without hdpi the window should smoothly change his size.

Version-Release number of selected component (if applicable):
20 (i think this is the first one which includes HDPI)

How reproducible:
Have a HDPI Monitor and a non HDPI monitor connected to a device which could use HDPI (like a macbook) and now move windows between the monitors

Steps to Reproduce:
1. Get a device with HDPI
2. Connect a second monitor without hdpi
3. Move Windows between the two monitors

Actual results:
Window is way too big on the non HDPI monitor

Expected results:
window gets resized on the second monitor

Additional info:
currently this seems to be a gnome bug since i think HDPI will getting scaled by the gnome-shell or the gnome window composer.

Oh and btw. its really hard to work like that. since gnome windows on the non hdpi monitor are totally oversized and will 

Here is a picture: http://i.imgur.com/SsU6lnq.png
Currently image to big to poste directly ;)

Comment 1 Christian Schmitt 2014-07-23 19:39:01 UTC
Oh and also the mouse pointer is wrong, too.

Comment 2 Fedora End Of Life 2015-05-29 12:27:18 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 21:43:31 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.